## org.codehaus.groovy.grails.web.metaclass
Class DataBindingDynamicConstructor

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.DataBindingDynamicConstructor

All Implemented Interfaces:
  DynamicConstructor

    public class DataBindingDynamicConstructor

extends Object
implements DynamicConstructor

A dynamic property that uses a Map of OGNL expressions to sets properties on the target object

Since:
  0.3 Created 23/07/06
Author:
  Graeme Rocher

Constructor Summary
`DataBindingDynamicConstructor()`
`DataBindingDynamicConstructor(ApplicationContext ctx)`

Method Summary
`Object` `invoke(Class clazz, Object[] args)` Invokes the dynamic constructor
`boolean` `isArgumentsMatch(Object[] args)` Test whether the specified arguments match this constructor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBindingDynamicConstructor

    public DataBindingDynamicConstructor()

### DataBindingDynamicConstructor

    public DataBindingDynamicConstructor(ApplicationContext ctx)

Method Detail

### isArgumentsMatch

    public boolean isArgumentsMatch(Object[] args)

  Description copied from interface: `DynamicConstructor`
  Test whether the specified arguments match this constructor

  Specified by:
    `isArgumentsMatch` in interface `DynamicConstructor`
  Parameters:
    `args` - The arguments to check
  Returns:
    True if the arguments match

### invoke

    public Object invoke(Class clazz,
                         Object[] args)

  Description copied from interface: `DynamicConstructor`
  Invokes the dynamic constructor

  Specified by:
    `invoke` in interface `DynamicConstructor`
  Parameters:
    `clazz` - The actual class
    `args` - The arguments
  Returns:
    The returned instance

Copyright (c) 2005-2006 The Grails project